#!/usr/bin/env python

from email.mime.multipart import MIMEMultipart
from email.mime.application import MIMEApplication
from email.mime.base import MIMEBase
from email.encoders import encode_noop
import httplib
import sys

if __name__ == "__main__":
    host = sys.argv[1]
    path = sys.argv[2] + "?action=PostMessage"
    text = sys.stdin.read()

    message = MIMEMultipart("encrypted", protocol="application/pgp-encrypted")

    declaration = MIMEBase("application", "pgp-encrypted")
    declaration.set_payload("Version: 1")
    message.attach(declaration)

    content = MIMEApplication(text, "octet-stream", encode_noop)
    message.attach(content)

    text = message.as_string()

    print text
    print

    req = httplib.HTTPConnection(host)
    req.request("PUT", path, text) # {"Content-Length" : len(text)}
    resp = req.getresponse()
    print resp.read()

# vim: tabstop=4 expandtab shiftwidth=4
